Subject: bug#34831: closed (Re: [PATCH 00/25] Add perl6)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2019 14:33:02 +0000

Your bug report

#34831: [PATCH 00/25] Add perl6

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34831: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34831
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 00/25] Add perl6
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Sun, 24 Mar 2019 16:31:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Patches pushed

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 00/25] Add perl6
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Tue, 12 Mar 2019 22:16:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I think my perl6 patches are more or less ready. There's a few rough
edges but I'm pretty sure it works well enough. I could use some help
with the build-system code, two of my flags aren't being transfered
correctly and right now I'm working around it. For a list of packages
for testing I took the list from rakudo-star and started at the top.

The first 3 are to build rakudo itself. The next one is the build
system. perl6-tap-harness gives us the 'prove6' binary which is useful
for testing. perl6-zef gives us the 'zef' binary which is to perl6 what
'pip' is to perl5. The rest are a bunch of packages I packaged to test
everything.

To make it easier to review I've also pushed it as 'wip-perl6' to
savannah.

Efraim Flashner (25):
  gnu: Add moarvm.
  gnu: Add nqp.
  gnu: Add rakudo.
  build: Add rakudo-build-system.
  gnu: Add perl6-tap-harness.
  gnu: Add perl6-zef.
  gnu: Add perl6-uri.
  gnu: Add perl6-json-fast.
  gnu: Add perl6-json-name.
  gnu: Add perl6-json-unmarshal.
  gnu: Add perl6-json-marshal.
  gnu: Add perl6-json-class.
  gnu: Add perl6-meta6.
  gnu: Add perl6-license-spdx.
  gnu: Add perl6-test-meta.
  gnu: Add perl6-xml-writer.
  gnu: Add perl6-svg.
  gnu: Add perl6-svg-plot.
  gnu: Add perl6-terminal-ansicolor.
  gnu: Add perl6-oo-monitors.
  gnu: Add perl6-test-mock.
  gnu: Add perl6-grammar-profiler-simple.
  gnu: Add perl6-grammar-debugger.
  gnu: Add perl6-mime-base64.
  gnu: Add perl6-json.

 Makefile.am                        |   3 +
 doc/guix.texi                      |  20 +-
 gnu/local.mk                       |   3 +-
 gnu/packages/perl6.scm             | 788 +++++++++++++++++++++++++++++
 guix/build-system/rakudo.scm       | 155 ++++++
 guix/build/rakudo-build-system.scm | 140 +++++
 6 files changed, 1107 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/perl6.scm
 create mode 100644 guix/build-system/rakudo.scm
 create mode 100644 guix/build/rakudo-build-system.scm

-- 
2.21.0